---
import Layout from "../layouts/Layout.astro";
---

<Layout title="e-commerce ai test">
  <main class="w-full content text-white min-h-[100vh] bg-zinc-100 space-y-10">
    <section class="max-w-6xl mx-auto text-zinc-600 mt-10 pt-20">
      <h1 class="font-bold text-4xl" id="busqtest">Buscando</h1>
    </section>

    <section
      class="max-w-6xl mx-auto grid gap-5 text-zinc-900 sm:grid-cols-2 md:grid-cols-3 lg:grid-cols-4 pb-20"
      id="items"
    >
    </section>
  </main>
</Layout>

<script is:inline type="module">
  var $ = $ || window.$;

  const urlsearchparams = decodeURI(window.location.search.split("?q=")[1]);
  if (!urlsearchparams) window.location.href = "/";
  const url = `https://api.retailrocket.net/api/2.0/recommendation/Search/5d6d3c5297a5252454eafb7b/?&stockId=uy&phrase=${urlsearchparams}&isDebug=false&format=json`;

  $("#busqtest").html(`Buscando "${urlsearchparams}"`);
  $("input").val(urlsearchparams);

  fetch(url)
    .then((x) => x.json())
    .then((x) => {
      $("#items").html("");
      x.forEach((item) => {
        if (item.Algorithm == "s" && item.Vendor != "Stanley") {
          let itemdiv = document.createElement("div");
          itemdiv.classList.add(
            "rounded-xl",
            "hover:shadow-md",
            "bg-white",
            "p-3",
            "cursor-pointer",
          );
          itemdiv.innerHTML = `
                    <div class="w-full h-52">
                        <img src="${item.PictureUrl}" class="w-full h-full object-contain">
                            </div>
                          <br>
                        <span class="text-xl text-purple-600">USD ${item.Price}</span>
                        <br>
                        <span class="text-sm">${item.Name}</span>
                
                    `;
          itemdiv.addEventListener("click", () => {
            window.location.href = `/product?item=${item.ItemId}`;
          });
          document.getElementById("items").appendChild(itemdiv);
        }
      });
    });
</script>
